// pages/t-water/t-water.js
var myRequest = require("../../utils/api.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    projectId: '',
    deviceCodeData: [],
    formData: [],
    sampleBackData: [],
    sampleTypeData: [],
    detectionItemsData: [],
    detectionReportData: [],
    reportIssuedData: [],
    reportUseData: [],
    asOfTime: new Date().getTime(),
    asOfTimeVisible: false,
    start: '2000-01-01 00:00:00',
    end: '2030-09-09 12:12:12',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.data.projectId = wx.getStorageSync('projectId');
    this.getDeviceData();
    this.getDictData();
  },

  //获取站点
  getDeviceData() {
    var that = this;
    myRequest.myRequest('task/devices', {
      projectId: that.data.projectId
    },'get').then(function(res){
      var deviceData = res.data.data;
      var arr = [];
      for (let i = 0; i < deviceData.length; i++) {
        arr.push({label: deviceData[i].name, value: deviceData[i].code})
      }
      that.setData({
        deviceCodeData: arr,
      });
      console.log(that.data.deviceData)
    }).catch(function(res){
      console.log(res);
    })
  },
  onConfirm(e) {
    const { value } = e.detail;
    const { mode } = this.data;
    this.setData({
      [mode]: value,
      [`${mode}Text`]: value,
      'formData.asOfTime': value,
    });

    this.hidePicker();
  },
  changeSampleQuantity(e) {

  },
  onColumnChange(e) {
    console.log('pick', e.detail.value);
  },
  // 获取字典数据
  getDictData() {
    var that = this;
    myRequest.myRequest('waterApply/dict', {}).then(function(res){
      var dictData = res.data.data;
      var sampleBack = [];
      var sampleType = [];
      var detectionItems = [];
      var detectionReport = [];
      var reportIssued = [];
      var reportUse = [];
      for (let i = 0; i < dictData.sampleBack.length; i++) {
        sampleBack.push({label: dictData.sampleBack[i].dataValue, value: dictData.sampleBack[i].id})
      }
      for (let i = 0; i < dictData.sampleType.length; i++) {
        sampleType.push({label: dictData.sampleType[i].dataValue, value: dictData.sampleType[i].id})
      }
      for (let i = 0; i < dictData.detectionItems.length; i++) {
        detectionItems.push({label: dictData.detectionItems[i].dataValue, value: dictData.detectionItems[i].id})
      }
      for (let i = 0; i < dictData.detectionReport.length; i++) {
        detectionReport.push({label: dictData.detectionReport[i].dataValue, value: dictData.detectionReport[i].id})
      }
      for (let i = 0; i < dictData.reportIssued.length; i++) {
        reportIssued.push({label: dictData.reportIssued[i].dataValue, value: dictData.reportIssued[i].id})
      }
      for (let i = 0; i < dictData.reportUse.length; i++) {
        reportUse.push({label: dictData.reportUse[i].dataValue, value: dictData.reportUse[i].id})
      }
      that.setData({
        sampleBackData: sampleBack,
        sampleTypeData: sampleType,
        detectionItemsData: detectionItems,
        detectionReportData: detectionReport,
        reportIssuedData: reportIssued,
        reportUseData: reportUse,
      })
      console.log(that.data.sampleBack);
    }).catch(function(res){
      console.log(res);
    })
  },
  onPickerChange(e) {
    const { key } = e.currentTarget.dataset;
    const { value, label } = e.detail;

    console.log('picker change:', e.detail);
    this.setData({
      [`${key}Visible`]: false,
      [`${key}Value`]: value,
      [`${key}Text`]: label.join(' '),
      [`formData.${key}`]: value[0]
    });
    console.log(this.data.formData)
  },
  changeSampleQuantity(e) {
    this.setData({
      'formData.sampleQuantity': e.detail.value
    });
  },
  changeRemark(e) {
    this.setData({
      'formData.remark': e.detail.value
    });
  },
  showPicker(e) {
    const { mode } = e.currentTarget.dataset;
    this.setData({
      mode,
      [`${mode}Visible`]: true,
    });
  },
  hidePicker() {
    const { mode } = this.data;
    this.setData({
      [`${mode}Visible`]: false,
    });
  },
  onCityPicker(e) {
    var filed = e.currentTarget.dataset.filed;
    console.log(filed)
    this.setData({
      [`${filed}Visible`]: true,
    });
  },
  submitForm() {
    var pream = this.data.formData;
    var token = wx.getStorageSync("token");
    var that = this;
    myRequest.myRequest('waterApply/add', pream,'post').then(function(res){
      wx.showToast({
        title: '提交成功',
        icon: 'none',
      })
    }).catch(function(res){
      console.log(res);
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    
  }
})




